%define module CGI-Safe
%define name	perl-%{module}
%define version 1.25
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Safe method of using CGI.pm
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl(CGI)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The CGI-Safe module makes running the CGI environment safer
by eliminating dangerous %ENV variables and presetting
certain CGI.pm globals.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI
%{_mandir}/*/*






%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.25-5mdv2009.0
+ Revision: 255820
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-3mdv2008.1
+ Revision: 136921
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-2mdv2007.0
+ Revision: 73405
- import perl-CGI-Safe-1.25-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.25-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- new version
- %%{1}mdv2007.1
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- better summary

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.24-1mdk
- initial Mandriva package

